import request from '@/utils/request'

// 查询岗位列表
export function listAddress(query) {
  return request({
    url: '/project/configurations/list',
    method: 'get',
    params: query
  })
}

// 查询地址详细
export function getAddress(addressId) {
  return request({
    url: '/project/configurations/' + addressId,
    method: 'get'
  })
}

// 新增地址
export function addAddress(data) {
  return request({
    url: '/project/configurations',
    method: 'post',
    data: data
  })
}

// 修改地址
export function updateAddress(data) {
  return request({
    url: '/project/configurations',
    method: 'put',
    data: data
  })
}

// 删除公告
export function delAddress(addressId) {
  return request({
    url: '/project/configurations/' + addressId,
    method: 'delete'
  })
}
